List assistant conversations (reporting format)
curl --request GET \
--url https://platform.crescendo.ai/api/v1/reporting/tenants/{tenantId}/assistant/conversations \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform.crescendo.ai/api/v1/reporting/tenants/{tenantId}/assistant/conversations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.crescendo.ai/api/v1/reporting/tenants/{tenantId}/assistant/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total": 123,
"cursor": {
"next": "<string>"
},
"data": [
{
"ID": "<string>",
"TenantID": "<string>",
"BotID": "<string>",
"BotName": "<string>",
"Datetime": 123,
"EndDatetime": 123,
"DatetimeUTC": "2023-11-07T05:31:56Z",
"EndDatetimeUTC": "2023-11-07T05:31:56Z",
"Duration": 123,
"Escalated": true,
"escalatedAt": 123,
"CSat": 123,
"AgentName": "<string>",
"AgentId": "<string>",
"AgentEmail": "<string>",
"Category": "<string>",
"Subcategory": "<string>",
"Tertiary": "<string>",
"RemoteIp": "<string>",
"userAgent": "<string>",
"Referrer": "<string>",
"Media": "<string>",
"Summary": "<string>",
"Handoff Reason": "<string>",
"ticketId": "<string>",
"ticketUrl": "<string>",
"ticketKind": "<string>",
"Input": "<string>",
"Contact Name": "<string>",
"Contact Email": "<string>",
"Contact Phone": "<string>"
}
]
}{
"code": "BadRequest",
"message": "Invalid request parameters"
}{
"code": "Unauthenticated",
"message": "Authorization header with Bearer token is required"
}{
"code": "PermissionDenied",
"message": "API key does not allow this operation"
}{
"code": "Unavailable",
"message": "Elastic search failed"
}Reporting
List assistant conversations (reporting format)
Returns assistant conversations in a reporting-friendly row format (no message content, cursor pagination).
GET
/
api
/
v1
/
reporting
/
tenants
/
{tenantId}
/
assistant
/
conversations
List assistant conversations (reporting format)
Authorizations
bearerAuthbearerTokenQuery
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Tenant identifier.
Query Parameters
Max results per page. Default 1000, max 5000.
Required range:
1 <= x <= 5000Opaque cursor returned in cursor.next. When provided, do not also supply range, from, or to.
Convenience range selector. If omitted and from is omitted, defaults to last_day.
Available options:
last_day, last_week, last_month Range start. Accepts an ISO 8601 timestamp or epoch milliseconds. Epoch milliseconds.
Range end. Accepts an ISO 8601 timestamp or epoch milliseconds. Defaults to now. Epoch milliseconds.
⌘I

